/*
	LUSScreenSaver
	Copyright (C) 2003 ONO,Masayuki.<mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _LESS_UNSATICEFACTORY_SCREENSAVER_APPLET_H_
#define _LESS_UNSATICEFACTORY_SCREENSAVER_APPLET_H_

#include <qpe/taskbarappletinterface.h>
#include <qwindowsystem_qws.h>
#include <qfile.h>
#include <qwidget.h>
#include <syslog.h>

class LUSScreenSaverWidget;

class LUSScreenSaverApplet : public TaskbarAppletInterface
{
public: // methods
	LUSScreenSaverApplet();
	virtual ~LUSScreenSaverApplet();

	QRESULT queryInterface(const QUuid&, QUnknownInterface**);
	Q_REFCOUNT

	virtual QWidget* applet(QWidget* parent);
	virtual int position() const;

private: // member variables
	LUSScreenSaverWidget*	m_pWidget;
	ulong					ref;
};

#endif /* _LESS_UNSATICEFACTORY_SCREENSAVER_APPLET_H_ */
